aboutsummaryrefslogtreecommitdiffstats
path: root/zsh
diff options
context:
space:
mode:
authorYann Herklotz <git@yannherklotz.com>2020-03-18 16:59:42 +0000
committerYann Herklotz <git@yannherklotz.com>2020-03-18 16:59:42 +0000
commita22814403d8c6d7b0aecdc6e501302d79796cabe (patch)
treed1a0e799bd116a8bb493fc23e985162f7ce76aa9 /zsh
parent1aded6330456e7e9c13c5e6b0060eb6230428a36 (diff)
parenta9bb367d8117fb92d966eca6d5aefe1c70036a4b (diff)
downloaddotfiles-a22814403d8c6d7b0aecdc6e501302d79796cabe.tar.gz
dotfiles-a22814403d8c6d7b0aecdc6e501302d79796cabe.zip
Merge branch 'mac' of github.com:ymherklotz/dotfiles into macmac
Diffstat (limited to 'zsh')
-rw-r--r--zsh/.zsh/export.zsh24
-rw-r--r--zsh/.zsh/function.zsh6
-rw-r--r--zsh/.zsh/startup.zsh5
-rw-r--r--zsh/.zshrc24
4 files changed, 29 insertions, 30 deletions
diff --git a/zsh/.zsh/export.zsh b/zsh/.zsh/export.zsh
index 78cff50..c7e34f8 100644
--- a/zsh/.zsh/export.zsh
+++ b/zsh/.zsh/export.zsh
@@ -1,12 +1,14 @@
-export GITHUB_HOME=$HOME/Github
+. $HOME/.nix-profile/etc/profile.d/nix.sh
+
+export GITHUB_HOME=$HOME/Projects
export FZF_DEFAULT_COMMAND='fd --type file --hidden --no-ignore'
export ALTERNATE_EDITOR="emacs -nw -Q"
export EDITOR='emacsclient -nw'
export VISUAL='emacsclient -c'
export TERM='xterm-256color'
+export CLICOLOR=1
export PATH="${HOME}/.gem/ruby/2.6.0/bin:/usr/local/bin:${PATH}"
-export PATH="/usr/bin:${PATH}"
export PATH="${HOME}/.yarn/bin:${PATH}"
export PATH="${PATH}:/opt/Xilinx/Vivado/2019.1/bin"
export PATH="${PATH}:/opt/intelFPGA_lite/18.1/quartus/bin"
@@ -14,11 +16,25 @@ export PATH="${HOME}/.local/bin:${PATH}"
export PATH="${HOME}/.cargo/bin:${PATH}"
export PATH="${HOME}/.cabal/bin:${PATH}"
if [[ -d "${HOME}/.gem/ruby/2.7.0/bin" ]]; then export PATH="${HOME}/.gem/ruby/2.7.0/bin:${PATH}"; fi
+export PATH="/usr/local/bin:${PATH}"
+export PATH="/Library/TeX/texbin:${PATH}"
+export PATH="${PATH}:/Users/yannherklotz/Library/Python/3.7/bin"
# Stop dotnet telemetry
export DOTNET_CLI_TELEMETRY_OPTOUT=1
# Fix java windows for tiling window managers
-export _JAVA_AWT_WM_NONREPARENTING=1
+if [[ $(uname -r) = "Linux" ]]; then export _JAVA_AWT_WM_NONREPARENTING=1; fi
+
+[ -f "$HOME/.travis/travis.sh" ] && source "$HOME/.travis/travis.sh"
+
+# Direnv hook setup
+command -v direnv >/dev/null 2>&1
+if [[ "$?" -eq 0 ]]; then eval "$(direnv hook zsh)"; fi
-eval "$(direnv hook zsh)"
+# Opam hook setup and initialising it
+command -v opam >/dev/null 2>&1
+if [[ "$?" -eq 0 ]]; then
+ test -r /home/yannherklotz/.opam/opam-init/init.zsh && . /home/yannherklotz/.opam/opam-init/init.zsh > /dev/null 2> /dev/null || true
+ eval "$(opam env)";
+fi
diff --git a/zsh/.zsh/function.zsh b/zsh/.zsh/function.zsh
index b4cc40a..20dc12d 100644
--- a/zsh/.zsh/function.zsh
+++ b/zsh/.zsh/function.zsh
@@ -1,9 +1,3 @@
-alias fdisk='fdisk --color=always'
-alias grep='grep --color=always'
-alias ls='ls --color=always'
-alias l='ls -la --color=always'
-alias vi='nvim'
-alias vim='nvim'
alias emc='emacsclient -c -a ""'
alias em='emacsclient -nw -a ""'
alias ff='firefox'
diff --git a/zsh/.zsh/startup.zsh b/zsh/.zsh/startup.zsh
index 2002337..67716ac 100644
--- a/zsh/.zsh/startup.zsh
+++ b/zsh/.zsh/startup.zsh
@@ -2,9 +2,4 @@
if [ -e '/nix/var/nix/profiles/default/etc/profile.d/nix-daemon.sh' ]; then
. '/nix/var/nix/profiles/default/etc/profile.d/nix-daemon.sh'
fi
-
-# direnv
-
# End Nix
-
-eval $(opam env)
diff --git a/zsh/.zshrc b/zsh/.zshrc
index f89ad19..ccf9080 100644
--- a/zsh/.zshrc
+++ b/zsh/.zshrc
@@ -25,24 +25,18 @@ setopt HIST_IGNORE_DUPS
setopt HIST_IGNORE_SPACE
setopt HIST_FIND_NO_DUPS
-(cat ~/.cache/wal/sequences &) >/dev/null 2>&1
+if [ -d ~/.cache/wal ]; then (cat ~/.cache/wal/sequences &) fi
# Sourcing everything
-source /usr/share/fzf/key-bindings.zsh
-source /usr/share/fzf/completion.zsh
-source $HOME/.zsh/export.zsh
-source $HOME/.zsh/minimal.zsh
-source $HOME/.zsh/function.zsh
-source $HOME/.zsh/startup.zsh
-source $HOME/.zsh/zsh-history-substring-search/zsh-history-substring-search.zsh
-source $HOME/.zsh/zsh-autosuggestions/zsh-autosuggestions.zsh
+if [ -e /usr/share/fzf/key-bindings.zsh ]; then source /usr/share/fzf/key-bindings.zsh; fi
+if [ -e /usr/share/fzf/completion.zsh ]; then source /usr/share/fzf/completion.zsh; fi
+if [ -e $HOME/.zsh/export.zsh ]; then source $HOME/.zsh/export.zsh; fi
+if [ -e $HOME/.zsh/minimal.zsh ]; then source $HOME/.zsh/minimal.zsh; fi
+if [ -e $HOME/.zsh/function.zsh ]; then source $HOME/.zsh/function.zsh; fi
+if [ -e $HOME/.zsh/startup.zsh ]; then source $HOME/.zsh/startup.zsh; fi
+if [ -e $HOME/.zsh/zsh-history-substring-search/zsh-history-substring-search.zsh ]; then source $HOME/.zsh/zsh-history-substring-search/zsh-history-substring-search.zsh; fi
+if [ -e $HOME/.zsh/zsh-autosuggestions/zsh-autosuggestions.zsh ]; then source $HOME/.zsh/zsh-autosuggestions/zsh-autosuggestions.zsh; fi
bindkey '^[[A' history-substring-search-up
bindkey '^[[B' history-substring-search-down
bindkey -M emacs '^P' history-substring-search-up
bindkey -M emacs ^N history-substring-search-down
-
-# opam configuration
-test -r /home/yannherklotz/.opam/opam-init/init.zsh && . /home/yannherklotz/.opam/opam-init/init.zsh > /dev/null 2> /dev/null || true
-
-# added by travis gem
-[ -f /home/ymherklotz/.travis/travis.sh ] && source /home/ymherklotz/.travis/travis.sh